Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ssbind
Class ListQueries

    java.lang.Object
      org.biojava.bio.search.SearchContentAdapter
          ssbind.ListQueries

All Implemented Interfaces:
  org.biojava.bio.search.SearchContentHandler

    public class ListQueries

extends org.biojava.bio.search.SearchContentAdapter

Lists all query sequence names in the report.

## Example

     java ProcessBlastReport blast.out ssbind.ListQueries

Author:
  Matthew Pocock

Constructor Summary
`ListQueries()`

Method Summary
`void` | `setQuerySeq(String seqID)`

Methods inherited from class org.biojava.bio.search.SearchContentAdapter
`addHitProperty, addSearchProperty, addSubHitProperty, endHeader, endHit, endSearch, endSubHit, getMoreSearches, setDatabaseID, setMoreSearches, setQueryID, startHeader, startHit, startSearch, startSubHit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListQueries

    public ListQueries()

Method Detail

### setQuerySeq

    public void setQuerySeq(String seqID)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD